*{
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
}

body{
    background: #222;
}



.card{
    width:80%;
    max-width: 400px;
    background: linear-gradient(135deg, #00feba, #5b548a);
    color:#fff;
    border-radius:20px ;
    padding: 20px 25px ;
    text-align: center;
    margin: 10px auto ;

}


.heading{
    position:relative;   
}

.heading h1{
    color: #fff;
    text-align: center;
    margin-top:5%;

}


.search{
    width :100%;
    display: flex;
    align-items:center;
    justify-content: space-between;

}

.search input{
    border: 0;
    outline: 0;
    background: #ebfffc;
    color: #555;
    padding: 10px 35px ;
    height:45px;
    width:100%;
    border-radius: 30px;
    flex: 1;
    margin-right: 16px;
    font-size: 18px;
}

.search button{
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    width: 43px;
    height: 43px;
    cursor: pointer;

}

.search button img{
    width: 16px;
}

.weather-icon{
    width:170px;

}

.weather h1{
    font-size: 30px;
    font-weight: 600;
}

.weather h2{
    font-size: 20px;
    font-weight:400;
    margin-top: -2px;
}

.details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:0 20px;
    margin-top: 50px;
}


.col{
    display: flex;
    align-items: center;
    text-align: left;

}

.col img{
    width: 40px;
    margin-right: 10px;
}


.humidity, .wind{
    font-size: 20px;
    margin-top: -6px;
}

.weather{
    /* display: none; */

}


.error{
    text-align: center;
    margin-left: 10px;
    font-size: 14px;
    margin-top: 10px;
    display: none;

}
